

local function fn()
    local inst = CreateEntity()

    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("clannad_light")
    inst.AnimState:SetBuild("clannad_light")
    inst.AnimState:PlayAnimation("idle")

    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end

    inst:AddComponent("inspectable")

    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/clannad_light.xml"
	inst.components.inventoryitem.imagename = "clannad_light"
	
	inst:AddComponent("edible")
	inst.components.edible.healthvalue = 5
    inst.components.edible.hungervalue = 5
    inst.components.edible.sanityvalue = 50

    return inst
end

return Prefab("clannad_light", fn)



